Name:           perl-SQL-Abstract
Version:        1.81
Release:        1%{?dist}
Summary:        Generate SQL from Perl data structures
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/SQL-Abstract/
Source0:        http://www.cpan.org/authors/id/R/RI/RIBASUSHI/SQL-Abstract-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 1:5.6.0
BuildRequires:  perl(Exporter) >= 5.57
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Hash::Merge) >= 0.12
BuildRequires:  perl(List::Util)
BuildRequires:  perl(Moo) >= 1.004002
BuildRequires:  perl(MRO::Compat) >= 0.12
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Storable)
BuildRequires:  perl(Test::Deep) >= 0.101
BuildRequires:  perl(Test::Exception) >= 0.31
BuildRequires:  perl(Test::More) >= 0.88
BuildRequires:  perl(Test::Warn)
Requires:       perl(Exporter) >= 5.57
Requires:       perl(Hash::Merge) >= 0.12
Requires:       perl(List::Util)
Requires:       perl(Moo) >= 1.004002
Requires:       perl(MRO::Compat) >= 0.12
Requires:       perl(Scalar::Util)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Provides:	perl(DBIx::Class::Storage::Debug::PrettyPrint)
Provides:	perl(SQL::Translator::Schema::Constants)
Provides:	perl(SQL::Translator::Utils)
# Not strictly true, but hey :-/
Provides:	perl(DBIx::Class::Storage::Statistics)

%description
This module was inspired by the excellent DBIx::Abstract. However, in using
that module I found that what I really wanted to do was generate SQL, but
still retain complete control over my statement handles and use the DBI
interface. So, I set out to create an abstract SQL generation module.

%prep
%setup -q -n SQL-Abstract-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Mon May 04 2015 Dave Cross <dave@mag-sol.com> 1.81-1
- Specfile autogenerated by cpanspec 1.78.
